# Type alias TableQuery

TableQuery: {
aggregations?: {
aggregate: string;
field: string;
ref: string;
table: string;
};
joinFields?: {
ref: string;
target: string;
};
limit?: number;
offset?: number;
orderBy?: string | any;
orderDesc?: boolean;
where?: Where;
}

#### Type declaration

- ##### `Optional` aggregations?: {
  aggregate: string;
  field: string;
  ref: string;
  table: string;
  }

  - ##### aggregate: string

  - ##### field: string

  - ##### ref: string

  - ##### table: string

- ##### `Optional` joinFields?: {
  ref: string;
  target: string;
  }

  - ##### ref: string

  - ##### target: string

- ##### `Optional` limit?: number

- ##### `Optional` offset?: number

- ##### `Optional` orderBy?: string | any

- ##### `Optional` orderDesc?: boolean

- ##### `Optional` where?: Where

- Defined in saltcorn-types/base_types.ts:186

Generated using TypeDoc